#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Cairo-GObject
Summary:	Perl Cairo-GObject bindings
Summary(pl.UTF-8):	Wiązania Cairo-GObject dla Perla
Name:		perl-Cairo-GObject
Version:	1.004
Release:	6
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	cf8767c05a6797783e666db839d5d97a
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	cairo-gobject-devel >= 1.10.0
BuildRequires:	perl-Cairo-devel >= 1.080
BuildRequires:	perl-ExtUtils-Depends >= 0.200
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.0
BuildRequires:	perl-Glib-devel >= 1.224
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	cairo-gobject >= 1.10.0
Requires:	perl-Cairo >= 1.080
Requires:	perl-Glib >= 1.224
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides perl access to Cairo-GObject library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do biblioteki Cairo-GObject.

%package devel
Summary:	Development files for Perl Cairo-GObject bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Cairo-GObject dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-gobject-devel >= 1.10.0
Requires:	perl-Cairo-devel >= 1.080
Requires:	perl-Glib-devel >= 1.224

%description devel
Development files for Perl Cairo-GObject bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Cairo-GObject dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Cairo/GObject/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/Cairo/GObject.pm
%dir %{perl_vendorarch}/Cairo/GObject
%dir %{perl_vendorarch}/auto/Cairo/GObject
%attr(755,root,root) %{perl_vendorarch}/auto/Cairo/GObject/GObject.so
%{_mandir}/man3/Cairo::GObject.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Cairo/GObject/Install
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cairo-GObject.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 260e04b
- rebuild with perl 5.30.0
- release 6 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> dabfbe6
- release 5 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> e760ca2
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0ebe340
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> cb0fbe7
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 14a79c6
- updated to 1.004
- split -devel

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7c46148
- release 5 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> cb2e793
- BR perl-Cairo-devel

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6d86e30
- x32 rebuild
- release 4 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 68b78d6
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 437516c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 60be073
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> a6f4e0d
- updated to 1.001; needs perl-Cairo >= 1.080

* Mon Aug 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 3ce4ed4
- copy-pastos

* Mon Aug 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 22a8ea9
- new; needs unreleased perl-Cairo

